Subject: Re: Trouble with <tab> key in vim (and more)
From: Myles <[email-masked]>
To: Kaz Kylheku <[email-masked]>
Cc: [email-masked]
Date: Sun, 17 Jul 2005 20:32:59 -0500

Cool. That was the problem Kaz. Thanks. The reason I've never run into
it before is because I've never run vim without a .vimrc before. But I
was starting with a fresh install of cygwin and a blank home
directory. I haven't yet copied over my usual .vimrc. Since a lot of
things are a little quirky with cygwin, I just assumed that was the
source of the problem. I've never had to use nocompatible before since
just having a .vimrc is all you need to turn off compatibility.

From vim help on compatible
=====================
By default this option is on and the Vi defaults are used for the
options.  This default was chosen for those people who want to use Vim
just like Vi, and don't even (want to) know about the 'compatible'
option.
When a ".vimrc" file is found while Vim is starting up, this option is
switched off, and all options that have not been modified will be set
to the Vim defaults.  Effectively, this means that when a ".vimrc"
file exists, Vim will use the Vim defaults, otherwise it will use the
Vi defaults.

On 7/17/05, Kaz Kylheku <[email-masked]> wrote:
> On Sun, 17 Jul 2005, Myles wrote:
> 
> > Hi forum,
> >
> > When trying to use <TAB> to complete on help items, or file loading,
> > or etc, I get a ^I (ctrl-I) character instead. For example:
> >
> > :h h<TAB><TAB>
> >
> > I see
> >
> > :h h^I^I
> >
> > Also, the arrow keys don't work like they're supposed to. Like if I've
> > alreads performed some : commands and then I
> >
> > :<UP-ARROW>
> >
> > I don't get recall like I should.
> 
> This is the normal vim behavior. Unless you configure vim otherwise via
> ``:set nocompatible,'' it behaves in a vi compatibility mode. You stick
> this into your .vimrc file.
> 
> Someone must have enabled this for you in the previous Vim
> installations, or else you did it so long ago that you forgot about it.
> 
> --
> Meta-CVS: the working replacement for CVS that has been stable since
> 2002.  It versions the directory structure, symbolic links and execute
> permissions. It figures out renaming on import. Plus it babysits the kids
> and does light housekeeping! http://freshmeat.net/projects/mcvs
> 
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/